<?php

	//quita los Warnings cuando no se introduce una imagen
	error_reporting(E_ALL & ~E_WARNING & ~E_NOTICE);
	require '/src/facebook.php';
	echo "Procesando y Redireccionando </br>";
	
	$facebook = new Facebook(array('appId'  => '169990249681685', 'secret' => 'd62bb672e6d9fa45d4930a7bcdfb1eb5', ));
	$user = $facebook->getUser();
	$autor = $facebook->api('/me');
	$ident = $autor['id'];
	$name = $autor['name'];
	$hora = date("H:i:s");
	$fecha = date("Y-m-d");

	$titulo= $_POST['TituloNuevaReceta'];
	$descrip= $_POST['DescripcionReceta'];
	$categoria = $_POST['CategoriaRecetaServer'];
	$ingredientes= $_POST['Ingredientes'];
	$elaboracion= $_POST['Elaboracion'];

	$comensales= $_POST['ComensalesReceta'];
	$tiempo= $_POST['TiempoRecetaServer'];
	$dificultad= $_POST['DificultadRecetaServer'];
	$coste= $_POST['CosteRecetaServer'];

function filesize_format($bytes, $format = '', $force = ''){
	$bytes=(float)$bytes;
	if ($bytes <1024){
		$numero=number_format($bytes, 0, '.', ',');
		return array($numero,"B");
	}
	if ($bytes <1048576){
		$numero=number_format($bytes/1024, 2, '.', ',');
		return array($numero,"KBs");
	}
	if ($bytes>= 1048576){
		$numero=number_format($bytes/1048576, 2, '.', ',');
		return array($numero,"MB");
	}
}

if(sizeof($_FILES)==0){
	echo "No se puede subir el archivo";
	exit();
}



//Variable que nos indica errores:
	$error = 0;
	
//Verificamos que se trate de un tipo de archivo adecuado:	
if ($archivo != "none" ){
	$tipo = $_FILES["archivo"]["type"];
	
	if($tipo!=""){
		if(($tipo!="image/jpg")&&($tipo!="image/jpeg")&&($tipo!="image/png")&&($tipo!="image/bmp")&&($tipo!="image/gif")){
			$error = 1;
		}
	}else{
		echo "noImgenSelected";
	}
}
//Verificamos que un usuario solo pueda crear una receta con el mismo Titulo
//Deberá cambiarlo o añadirte una extension para que sea unico el par: tituloReceta-Autor

			$cTitulo = mysql_connect("localhost","root","adfbk");
			mysql_select_db("principal", $cTitulo);
			$qtitulo = "SELECT * FROM trecetas2 WHERE autorID=$ident";
			$rtitulo = mysql_query($qtitulo, $cTitulo) or die (mysql_error());
			$numer = mysql_num_rows($rtitulo);
			$tope=0;
			if ($numer >0) {
				while(($fila= mysql_fetch_assoc($rtitulo))&&($tope==0)){
					$tite= $fila['titulo'];
					if ($tite == $titulo){
						$tope=1;
						$error=2;
					}
				}
			}
			mysql_close($cTitulo);
	
//Variable para almacenar el nombre temporal de la imagen:
$archivo = $_FILES["archivo"]["tmp_name"];

//Definimos un array para almacenar el tamaño del archivo
$tamanio=array();

//OBTENEMOS EL TAMAÑO DEL ARCHIVO
$tamanio = $_FILES["archivo"]["size"];

//OBTENEMOS EL TIPO MIME DEL ARCHIVO
$tipo = $_FILES["archivo"]["type"];

//OBTENEMOS EL NOMBRE REAL DEL ARCHIVO AQUI SI SERIA foto.jpg
$nombre_archivo = $_FILES["archivo"]["name"];

//PARA HACERNOS LA VIDA MAS FACIL EXTRAEMOS LOS DATOS DEL REQUEST

extract($_REQUEST);

if (($archivo != "none")&&($error==0)){
	$fp = fopen($archivo, "rb");
	$contenido = fread($fp, $tamanio);
	$contenido = addslashes($contenido);
	fclose($fp);
	if ($tamanio <1048576){
		$tamanio=filesize_format($tamanio);
	}
	
	/*respecto al usuario*/

			$cUser = mysql_connect("localhost","root","adfbk");
			mysql_select_db("principal", $cUser);
			$qUser = "SELECT * FROM tuser WHERE Usuario=$ident";
			$rUser = mysql_query($qUser, $cUser) or die(mysql_error());
			$nUser = mysql_num_rows($rUser);

			if($nUser == 0) {
				//Registrar Usuario en la tusuario (al crear la primera receta)
				$iUser = "INSERT INTO tuser (Usuario, nombreCompleto, numRecetas, valorMedioCoc) VALUES ('$ident','$name',1,0)";
				$eUser = mysql_query($iUser, $cUser) or die(mysql_error());
			}else {
				//El Usuario tiene Recetas creadas (incrementamos en 1)
				$recUser = "SELECT * FROM tuser WHERE Usuario=$ident";
				$resUser = mysql_query($recUser, $cUser) or die(mysql_error());
				$seleccionado = mysql_fetch_assoc($resUser);
				$recetas = $seleccionado['numRecetas'];
				$recetas ++;
				$recUser2 = "UPDATE tuser SET numRecetas='$recetas' WHERE Usuario=$ident";
				$resUser2 = mysql_query($recUser2, $cUser) or die(mysql_error());
			}
				mysql_close($cUser);
	
	/*respecto a la receta*/
		$qry = "INSERT INTO trecetas2	(titulo, descripcion, categoria, nombre_archivo, contenido, tipo, tamanio, tamanio_unidad, autorID, autorName, fechaCreacion, ingredientes, elaboracion, tiempo, dificultad, coste, comensales) VALUES ('$titulo', '$descrip','$categoria','$nombre_archivo', '$contenido','$tipo','{$tamanio[0]}','{$tamanio[1]}','$ident','$name','$fecha','$ingredientes','$elaboracion', '$tiempo', '$dificultad', '$coste', '$comensales')";
	
				mysql_connect("localhost","root","adfbk") or die("No se pudo conectar a la base de datos");
				mysql_select_db("principal");
				mysql_query($qry) or die("Query: $qry <br />Error: ".mysql_error());
				
				$ultimo_id = mysql_insert_id();
				mysql_close();
	
//Si no hay errores; procedemos a agregar el registro; de caso contrario mostramos el error.
	?>  <script type="text/javascript"> 
			alert("Archivo Agregado Correctamente\n");
			window.location = "mostrar.php?indiceReceta=<?php echo $ultimo_id ?>";  
		</script> <?php
}else if($error==1){ ?>  
		<script type="text/javascript"> 
			alert("Error: el archivo subido no es una imagen Valida\n");
			window.location ="index.php";  
		</script> <?php
}else if($error==2){ ?>  
		<script type="text/javascript"> 
			alert("Error: Usted ya creo una receta con el mismo titulo, modifiquelo o agregue una extension II p.e.");
			window.location ="index.php";  
		</script> <?php
}else { ?>
		<script type="text/javascript"> 
			alert("Error: no fue posible subir el archivo\n");
			window.location ="index.php";  
		</script> 
<?php
}
?>